## org.eclipse.datatools.modelbase.sql.datatypes
Interface IntervalDataType

All Superinterfaces:
  DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PredefinedDataType, SQLDataType, SQLObject

    public interface IntervalDataType

extends PredefinedDataType

A representation of the model object 'Interval Data Type'. Reference: 5WD-02-Foundation-2002-12 4.6.2 Intervals

The following features are supported:

- `Leading Qualifier`
- `Trailing Qualifier`
- `Leading Field Precision`
- `Trailing Field Precision`
- `Fractional Seconds Precision`

See Also:
  `SQLDataTypesPackage.getIntervalDataType()`

Method Summary
`int` `getFractionalSecondsPrecision()` Returns the value of the 'Fractional Seconds Precision' attribute.
`int` `getLeadingFieldPrecision()` Returns the value of the 'Leading Field Precision' attribute.
`IntervalQualifierType` `getLeadingQualifier()` Returns the value of the 'Leading Qualifier' attribute.
`int` `getTrailingFieldPrecision()` Returns the value of the 'Trailing Field Precision' attribute.
`IntervalQualifierType` `getTrailingQualifier()` Returns the value of the 'Trailing Qualifier' attribute.
`void` `setFractionalSecondsPrecision(int value)` Sets the value of the '`Fractional Seconds Precision`' attribute.
`void` `setLeadingFieldPrecision(int value)` Sets the value of the '`Leading Field Precision`' attribute.
`void` `setLeadingQualifier(IntervalQualifierType value)` Sets the value of the '`Leading Qualifier`' attribute.
`void` `setTrailingFieldPrecision(int value)` Sets the value of the '`Trailing Field Precision`' attribute.
`void` `setTrailingQualifier(IntervalQualifierType value)` Sets the value of the '`Trailing Qualifier`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeadingQualifier

    IntervalQualifierType getLeadingQualifier()

  Returns the value of the 'Leading Qualifier' attribute. The literals are from the enumeration `IntervalQualifierType`.

  If the meaning of the 'Leading Qualifier' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Leading Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `setLeadingQualifier(IntervalQualifierType)`, `SQLDataTypesPackage.getIntervalDataType_LeadingQualifier()`

### setLeadingQualifier

    void setLeadingQualifier(IntervalQualifierType value)

  Sets the value of the '`Leading Qualifier`' attribute.

  Parameters:
    `value` - the new value of the 'Leading Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `getLeadingQualifier()`

### getTrailingQualifier

    IntervalQualifierType getTrailingQualifier()

  Returns the value of the 'Trailing Qualifier' attribute. The literals are from the enumeration `IntervalQualifierType`.

  If the meaning of the 'Trailing Qualifier' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Trailing Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `setTrailingQualifier(IntervalQualifierType)`, `SQLDataTypesPackage.getIntervalDataType_TrailingQualifier()`

### setTrailingQualifier

    void setTrailingQualifier(IntervalQualifierType value)

  Sets the value of the '`Trailing Qualifier`' attribute.

  Parameters:
    `value` - the new value of the 'Trailing Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `getTrailingQualifier()`

### getLeadingFieldPrecision

    int getLeadingFieldPrecision()

  Returns the value of the 'Leading Field Precision' attribute.

  If the meaning of the 'Leading Field Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Leading Field Precision' attribute.
  See Also:
    `setLeadingFieldPrecision(int)`, `SQLDataTypesPackage.getIntervalDataType_LeadingFieldPrecision()`

### setLeadingFieldPrecision

    void setLeadingFieldPrecision(int value)

  Sets the value of the '`Leading Field Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Leading Field Precision' attribute.
  See Also:
    `getLeadingFieldPrecision()`

### getTrailingFieldPrecision

    int getTrailingFieldPrecision()

  Returns the value of the 'Trailing Field Precision' attribute.

  If the meaning of the 'Trailing Field Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Trailing Field Precision' attribute.
  See Also:
    `setTrailingFieldPrecision(int)`, `SQLDataTypesPackage.getIntervalDataType_TrailingFieldPrecision()`

### setTrailingFieldPrecision

    void setTrailingFieldPrecision(int value)

  Sets the value of the '`Trailing Field Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Trailing Field Precision' attribute.
  See Also:
    `getTrailingFieldPrecision()`

### getFractionalSecondsPrecision

    int getFractionalSecondsPrecision()

  Returns the value of the 'Fractional Seconds Precision' attribute.

  If the meaning of the 'Fractional Seconds Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fractional Seconds Precision' attribute.
  See Also:
    `setFractionalSecondsPrecision(int)`, `SQLDataTypesPackage.getIntervalDataType_FractionalSecondsPrecision()`

### setFractionalSecondsPrecision

    void setFractionalSecondsPrecision(int value)

  Sets the value of the '`Fractional Seconds Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Fractional Seconds Precision' attribute.
  See Also:
    `getFractionalSecondsPrecision()`